# Contributing to ReleaseFab

Thank you for contributing to ReleaseFab !

## How to get started

Please make sure to have read these steps before skipping towards the [How to contribute section](#how-to-contribute).

### Code of Conduct

All contributors have to interact on a friendly basis and in a constructive way. It is a requirement to adhere to the [Code of Conduct]().

### Usage of the commit template

The release notes for ReleaseFab are generated by ReleaseFab itself. Therefore all commits made to the repository need to use the [commit template]() supplied with the repository. Otherwise changes cannot be included in the project.

Please consider the following best practices when writing commit messages:

- Use the present tense ("Add xyz" not "Added xyz")
- Use the imperative mood ("Change icon to arrow" not "Changes icon to arrow")
- Keep the first line short, add your description to the field "internal documentation" of the template
- Always reference the ID of the issue in the "itemID" field of the template - All other fields are optional

### Development and Usage of the application

Except the rules mentioned above, these are mostly guidelines. Use your best judgement and propose changes to this document if necessary.

Information on how to use and develop ReleaseFab can be found in the projects [Wiki]().

## How to contribute

This section covers the different ways in which you may contribute to the project. If there is anything else you want to add to the project which is not on this list, just open an issue on the [project board]().

### Reporting Bugs

Bugs are reported on the [project board](). Please open an issue and tag it with `bug`. Next, give it a short but meaningful title. There is always more room to explain the issue in its description. Please make sure the following information is included in the description:

- The bug that occured
- What you wanted to achieve and why
- What you did to achieve your goal
- Screenshots and/or code example to reproduce the bug

### Suggesting Enhancements and new Features

For new features and enhancements please file a new issue on the [project board](). Tag the issue with `enhancement` and give it a short but meaningful title. In the description please explain in detail which feature you are proposing and what changes you think need to be made in order to support it.

As soon as your suggestion has been reviewed, it might be retagged as `todo` in order to show other developers that this is a requirred feature. If you want to implement the feature yourself, just assign yourself to the issue when you first propose it.

### First code contribution

Some issues on the [project board]() are tagged as `good-first-issue`. These are tasks that are either small improvements or developments of completely new plugins suitable to learn about the application and its structure.

Development can either be done in a forked repository from which changes are pulled back into the original repository, or in feature branches. For branching guidelines, please consult the development section of the projects [Wiki]().

If you have already developed a solution on some issue, please propose a pull request. If your changes pass the quality gates of the CI/CD pipeline of GitHub Actions and are successfully reviewed by one of the project administrators, your pull request will be merged.

### Tags used in GitHub issues

|Tag|Description|
|---|---|
|`enhancement` | A proposed enhancement that needs to be reviewed and accepted|
|`todo` | An enhancement that needs to be done|
|`in-progress` | An enhancement that is currently being worked on|
|`good-first-issue` | Good first issue|
|`bug` | Bug that needs to be fixed|
|`question` | Question|
|`help-wanted` | Help needed in order to finish the task|
|`blocked` | Task is blocked by another task|
|`wont-fix` | Issue will not be implemented|